# CocoaPods Acknowledgements

A CocoaPods plugin that generates a Gitlab compatible report of all the installed library licenses.

### Installation

Install via `gem install cocoapods-gitlab_license_report` you need to be using at least CocoaPods `0.36` and add `plugin 'cocoapods-gitlab_license_report'` to your `Podfile`. See below for examples:

### Example usage

``` ruby
plugin 'cocoapods-gitlab_license_report', :report_path => 'relative_path'
```

The default `report_path` is: `reports/licenses.json`


``` ruby
plugin 'cocoapods-gitlab_license_report', :report_path => 'relative_path', :exclude => ['pod_name1', 'pod_name2']
```

Exclude pods pod_name1 and pod_name2 from the license report.

