# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cocoapods-gitlab_license_report/version.rb'

Gem::Specification.new do |spec|
  spec.name          = "cocoapods-gitlab_license_report"
  spec.version       = CocoaPodsGitlabLicenseReport::VERSION
  spec.authors       = ["Fabio Gallonetto"]
  spec.summary       = %q{CocoaPods plugin that generates an license report for gitlab license scanner}
  #spec.homepage      = "https://git.curve.tools/dev-tools/cocoapods-gitlab_license_report"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'cocoapods'
  spec.add_runtime_dependency 'license_finder'

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
